## EXPORT_SPEC int UpnpSetMaxSubscriptionTimeOut

## ( IN UpnpDevice_Handle Hnd,
IN int MaxSubscriptionTimeOut )

> UpnpSetMaxSubscriptionTimeOut sets the maximum time-out accepted for a subscription request or renewal.

## Documentation

> UpnpSetMaxSubscriptionTimeOut sets the maximum time-out accepted for a subscription request or renewal. The default value accepts the time-out set by the control point. If a control point requests a subscription time-out less than or equal to the maximum, the SDK grants the value requested by the control point. If the time-out is greater, the SDK returns the maximum value.

Parameters:
  Hnd - The handle of the device for which the maximum subscription time-out is being set.
  MaxSubscriptionTimeOut - The maximum subscription time-out to be accepted.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.

Alphabetic index

This page was generated with the help of DOC++.